import './App.css';
import React, { useReducer } from 'react'
import { BrowserRouter, Routes, Route } from "react-router-dom"

import Header from "./container/Header"
import Leaderboard from "./components/Leaderboard"
import Game from "./components/Game"
import About from "./components/About"

import { pollingReducer, pollingDefaults } from './reducer/polling';

function App() {
  const [polling, dispatchPolling] = useReducer(pollingReducer, pollingDefaults)

  console.log('polling', polling)
  return <div className="App">
    <BrowserRouter>
      <Header polling={polling} dispatchPolling={dispatchPolling} />
      <Routes>
        {/* https://stackoverflow.com/questions/40541994/multiple-path-names-for-a-same-component-in-react-router */}
        <Route path="/game" element={<Game />} />
        <Route path="/game/new" element={<Game />} />
        <Route path="/game/proposal" element={<Game />} />
        <Route path="/game/active" element={<Game />} />
        <Route path="/game/archive" element={<Game />} />
        <Route path="/leaderboard" element={<Leaderboard />} />
        <Route path="/about" element={<About />} />
      </Routes>
    </BrowserRouter>
  </div>
}

export default App;
